function [Scores_Ens]= EnsCLS(L,taille_L,U,taille_U,k,nbr_classes,commitee_size,mtry)

scorefeature=zeros(k,1);
apparitionfeature=zeros(k,1);
features_tous=[];
for i=1:commitee_size
    
    %bootstrap sample%
    
    inst_rand=rand(taille_L,1)*taille_L;
    instances_L=ceil(inst_rand);
    
    %Les racine de m variables%
    
    feat1=[1:k];
    feat2=randperm(length(feat1));
    features=feat1(feat2(1:mtry));
    features=features';

    %l'ensemble des variables slectionnes sur toutes les paritions de 1 
    %nb_iter
    features_tous=[features_tous,features];
    
    
    bag_L=L(instances_L,features);
    bag_L=[bag_L,L(instances_L,k+1)];
    U_RSM=U(:,features);

    
    %Utilisation de CLS%
    LC = get_CLS_Score(bag_L,U_RSM);
    
    for j=1:mtry
        scorefeature(features(j))=scorefeature(features(j))+LC(j);
        apparitionfeature(features(j))=apparitionfeature(features(j))+1;
    end
    

end    

for j=1:k
    scorefeature(j)=scorefeature(j)/apparitionfeature(j);
end
